.menu {
    display: none; /* 初期状態は非表示 */
    transition:
        opacity 0.3s ease-in-out,
        transform 0.3s ease-in-out;
    transform: translateY(-10px); /* 初期位置を少し上に */
}

.menu.open {
    display: block; /* クラスが追加されたら表示 */
    transform: translateY(0); /* 開いたときに少し下にずれる */
}

.batu{
display: none; /* 初期状態は非表示 */
}
.batu2{
display: none; /* 初期状態は非表示 */
}

.thrline{
display: block; /* 初期状態は表示 */
}
.thrline2{
display: block; /* 初期状態は表示 */
}
.thrline3{
display: block; /* 初期状態は表示 */
}
.batu.open{
display: block;
}
.batu2.open{
display: block;
}

.thrline.open{
display: none; 
}
.thrline2.open{
display: none; 
}
.thrline3.open{
display: none; 
}